Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
config
cURL
curl --request GET \
  --url https://{deployment}.convex.site/v1/projects/{projectId}/config
{
  "projectId": "proj_abc123",
  "sourceLocale": "en",
  "targetLocales": [
    "nl-NL",
    "de",
    "fr-FR"
  ],
  "removedLocales": [
    "es"
  ],
  "ai": {
    "provider": "openai",
    "model": "gpt-4o",
    "temperature": 0.3
  }
}

Path Parameters

projectId
string
required
Minimum string length: 1
Example:

"proj_abc123"

Response

200 - application/json

Project config retrieved

projectId
string
required
Example:

"proj_abc123"

sourceLocale
string
required
Required string length: 2 - 10
Pattern: ^[a-z]{2,3}(-[A-Z]{2,3})?$/i
Example:

"en"

targetLocales
string[]
required
Required string length: 2 - 10
Pattern: ^[a-z]{2,3}(-[A-Z]{2,3})?$/i
Example:
["nl-NL", "de", "fr-FR"]
removedLocales
string[]
required
Required string length: 2 - 10
Pattern: ^[a-z]{2,3}(-[A-Z]{2,3})?$/i
Example:
["es"]
ai
object
required